.flex {
    display: flex;
}

.inline-flex {
    display: inline-flex;
}

.flex-spacer {
    > * {
        margin-right: 10px;
    }
}

.flex--m {
    @media #{$medium} {
        display: flex;
    }
}

.flex-responsive {
    flex-direction: column;

    @media #{$large} {
        flex-direction: row;
    }
}

.flex-cplumn {
    flex-direction: column;
}

.flex--wrap {
    flex-wrap: wrap;
    flex-direction: row;
}

.fg-1 {
    flex-grow: 1;
}

.fs-0 {
    flex-shrink: 0;
}

.v-start {
    align-items: flex-start;
}

.v-end {
    align-items: flex-end;
}

.v-center {
    align-items: center;
}

.h-center {
    justify-content: center;
}

.h-end {
    justify-content: flex-end;
}

.v-center--spread,
.f-space-between {
    justify-content: space-between;
}